<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_5fde92609a43c9" . "160462278aec060" . "406" => base64_decode("Y29tbW9uLnVua2" . "5vd24="), "_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1" . "zZw" . "=="), "_0ed3a0eef0eb416ab3b586ed096d" . "2184" => base64_decode("cHVibGlzaC5wdWJs" . "aXNoX2ZvbGRlcg=="), "_1d9d2c71a172429c1ebe7f586b" . "87a549" => base64_decode("cHVibGlzaC5wYWdlX3Z" . "lcnNpb24="), "_e1d494d0cbef80819ebcc2c1" . "a58813a7" => base64_decode("Y29tbW9uLnR5cG" . "UucHViX3BhZ2U="));






abstract class TrashObjectPublish extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if ($_6c31fe38b922bf6d32ca6b96f4cd3945->DeleteObjectById($this->obj_id, $this->aggregation, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    public function Restore()
    {
        $_6c31fe38b922bf6d32ca6b96f4cd3945 = \PublishBrowser::Instance();
        if (!$_6c31fe38b922bf6d32ca6b96f4cd3945->UndeleteObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($_6c31fe38b922bf6d32ca6b96f4cd3945->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_PUB_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0ed3a0eef0e" . "b416ab3b586e" . "d096d2184"]);
            case AGGREGATION_PUB_PAGE:
                return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e1d494d0cbef80819ebcc2" . "c1a58813a7"]);
            case AGGREGATION_PUB_PAGE_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_1d9d2c71a172" . "429c1ebe7f586" . "b87a549"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5fde92609a43c9160462278aec06" . "0406"]);
    }
}